package com.acme.structure.exception.main;

import com.acme.structure.exception.base.ApplicationException;
import com.acme.structure.exception.base.InfrastructureException;

public class ExpectedFieldsNotMatchedException extends InfrastructureException
{
    private String reason;


    public ExpectedFieldsNotMatchedException(String reason)
    {
        exceptionCode = "15";
        exceptionType = ApplicationException.EXCEPTION_TYPE_ERROR;

        this.reason = reason;
    }

    @Override
    public String getReason()
    {
        return reason;
    }

}
